🧮 USERS:1 FEEDS:2 TWTS:199 ARCHIVED:30412 CACHE:1531 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:198 ARCHIVED:30385 CACHE:1525 FOLLOWERS:13 FOLLOWING:14
The Lunduke Journal Podcast - April 6, 2022
Listen now (39 min) | Remembering Windows 3.1 on its 30th Birthday ⌘ Read more
🧮 USERS:1 FEEDS:2 TWTS:197 ARCHIVED:30361 CACHE:1527 FOLLOWERS:13 FOLLOWING:14
Lunduke Journal subscription price lowered thanks to Founding Member subscribers!
Enough Founding Members joined, in one day, to knock annual subscriptions down to $1.13 per month. That’s amazing! ⌘ Read more
Ignite Realtime Blog: inVerse Openfire plugin 9.1.0-1 released!
Earlier today, version 9.1.0 release 1 of the Openfire inVerse plugin was released. This plugin allows you to easily deploy the third-party Converse client in Openfire. In this release, the version of the client that is bundled in the plugin is updated to 9.1.0!
The updated plugin should become available for download in your Openfire admin console in the course of the next few hours. Alternat … ⌘ Read more
Ignite Realtime Blog: JSXC Openfire plugin 4.4.0-1 released!
Earlier today, version 4.4.0 release 1 of the Openfire JSXC plugin was released. This plugin allows you to easily deploy the third-party JSXC client in Openfire. In this release, the version of the client that is bundled in the plugin is updated to 4.4.0!
The updated plugin should become available for download in your Openfire admin console in the course of the next few hours. Alternatively, you can … ⌘ Read more
Ignite Realtime Blog: Openfire Message of the Day (MotD) plugin version 1.2.3 released
Earlier today, version 1.2.3 of the Openfire Message of the Day plugin was released. This version adds a German translation to the admin console (thank you, Stephan Trzonnek, for providing the translation)!
The updated plugin should become available for download in your Openfire admin console in the course of the next few hours. Alternatively, you can download the plugin dir … ⌘ Read more
Ignite Realtime Blog: REST API Openfire plugin 1.8.0 released!
Earlier today, version 1.8.0 of the Openfire REST API plugin was released. This version adds a new endpoints for readiness, liveliness and cluster status!
The updated plugin should become available for download in your Openfire admin console in the course of the next few hours. Alternatively, you can download the plugin directly, from [the plugin’s archive page](https://www.igniterealtime.org/projects/openfire/plugin-arc … ⌘ Read more
🧮 USERS:1 FEEDS:2 TWTS:196 ARCHIVED:30325 CACHE:1552 FOLLOWERS:13 FOLLOWING:14
Mozilla responds to Google Chrome version 100 by releasing Firefox version “1,000,000”
“You just got mathed, Google.” ⌘ Read more
Announcing Lunduke Journal Founding Member subscriptions
Includes some fun perks: Monthly group video chats, and even 1-on-1 chats for the high rollers. ⌘ Read more
[47°09′35″S, 126°43′58″W] Reading: 1.02000 PPM
[47°09′37″S, 126°43′33″W] Reading: 1.49000 PPM
🧮 USERS:1 FEEDS:2 TWTS:195 ARCHIVED:30311 CACHE:1558 FOLLOWERS:13 FOLLOWING:14
Ron Gilbert returns to Monkey Island! New game coming this year!
The original creator of Monkey Island 1 & 2 makes his triumphant return to the series. ⌘ Read more
🧮 USERS:1 FEEDS:2 TWTS:194 ARCHIVED:30292 CACHE:1550 FOLLOWERS:13 FOLLOWING:14
Elementary OS reduces staff to 1, warns “less features” for next release
Elementary is “just me now”, and has been an “uncool place to work”. ⌘ Read more
🧮 USERS:1 FEEDS:2 TWTS:193 ARCHIVED:29767 CACHE:1552 FOLLOWERS:13 FOLLOWING:14
now glued to their screen, the user softens, melts, becomes one with the net. not long and their bones are a distant memory (#InvisibleNetworks, day 1)
🧮 USERS:1 FEEDS:2 TWTS:192 ARCHIVED:29750 CACHE:1552 FOLLOWERS:13 FOLLOWING:14
It’s Friday. Here’s 12 funny, nerdy pictures about computers.
Ok. 11 pictures about programming and computers… 1 picture about Ninja Turtles. Because I’m a child. ⌘ Read more
🧮 USERS:1 FEEDS:2 TWTS:191 ARCHIVED:29712 CACHE:1558 FOLLOWERS:13 FOLLOWING:14
[47°09′08″S, 126°43′53″W] Reading: 1.80000 PPM
🧮 USERS:1 FEEDS:2 TWTS:190 ARCHIVED:29679 CACHE:1557 FOLLOWERS:13 FOLLOWING:14
[47°09′33″S, 126°43′17″W] Reading: 1.95 Sv
🧮 USERS:1 FEEDS:2 TWTS:189 ARCHIVED:29666 CACHE:1566 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:188 ARCHIVED:29630 CACHE:1557 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:187 ARCHIVED:29586 CACHE:1571 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:186 ARCHIVED:29536 CACHE:1571 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:185 ARCHIVED:29504 CACHE:1591 FOLLOWERS:13 FOLLOWING:14
[47°09′12″S, 126°43′11″W] Reading: 1.43 Sv
🧮 USERS:1 FEEDS:2 TWTS:184 ARCHIVED:29479 CACHE:1597 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:183 ARCHIVED:29415 CACHE:1598 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:182 ARCHIVED:29376 CACHE:1619 FOLLOWERS:13 FOLLOWING:14
maxlenght?, I found a workaround by writing from Goryon on mobile, on PC i can simply change the limit with the inspector but isn't it there for a reason?
@mckinley@twtxt.net Agreed! 👌
Can we all vote on the new default being 1024 then perhaps? 🤔
+1 from me
🧮 USERS:1 FEEDS:2 TWTS:181 ARCHIVED:29313 CACHE:1609 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:180 ARCHIVED:29291 CACHE:1613 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:179 ARCHIVED:29261 CACHE:1606 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:178 ARCHIVED:29230 CACHE:1606 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:177 ARCHIVED:29184 CACHE:1600 FOLLOWERS:13 FOLLOWING:14
Image rebase and improved remote cache support in new BuildKit
We’ve just shipped new versions of the BuildKit builder engine, Dockerfile 1.4 frontend, and Docker We’ve just shipped new versions of the BuildKit builder engine, Dockerfile 1.4 frontend, and Docker Buildx CLI. Each of these comes with many new features. In this blog post, I’ll show one of them, a new copy mode in Dockerfiles, […]
The post [Image rebase and improved remote cache support in new BuildKit](https://w … ⌘ Read more
[47°09′52″S, 126°43′25″W] Reading: 1.43 Sv
[47°09′48″S, 126°43′30″W] Reading: 1.71 Sv
@novaburst@twt.nfld.uk I doubt there will ever be a 2.0 … It may end up like java and they strip off the 1.
@novaburst@twt.nfld.uk I doubt there will ever be a 2.0 … It may end up like java and they strip off the 1.
🧮 USERS:1 FEEDS:2 TWTS:176 ARCHIVED:28545 CACHE:1331 FOLLOWERS:13 FOLLOWING:14
#!/bin/sh
# Validate environment
if ! command -v msgbus > /dev/null; then
printf "missing msgbus command. Use: go install git.mills.io/prologic/msgbus/cmd/msgbus@latest"
exit 1
fi
if ! command -v salty > /dev/null; then
printf "missing salty command. Use: go install go.mills.io/salty/cmd/salty@latest"
exit 1
fi
if ! command -v salty-keygen > /dev/null; then
printf "missing salty-keygen command. Use: go install go.mills.io/salty/cmd/salty-keygen@latest"
exit 1
fi
if [ -z "$SALTY_IDENTITY" ]; then
export SALTY_IDENTITY="$HOME/.config/salty/$USER.key"
fi
get_user () {
user=$(grep user: "$SALTY_IDENTITY" | awk '{print $3}')
if [ -z "$user" ]; then
user="$USER"
fi
echo "$user"
}
stream () {
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
jq -r '.payload' | base64 -d | salty -i "$SALTY_IDENTITY" -d
}
lookup () {
if [ $# -lt 1 ]; then
printf "Usage: %s nick@domain\n" "$(basename "$0")"
exit 1
fi
user="$1"
nick="$(echo "$user" | awk -F@ '{ print $1 }')"
domain="$(echo "$user" | awk -F@ '{ print $2 }')"
curl -qsSL "https://$domain/.well-known/salty/${nick}.json"
}
readmsgs () {
topic="$1"
if [ -z "$topic" ]; then
topic=$(get_user)
fi
export SALTY_IDENTITY="$HOME/.config/salty/$topic.key"
if [ ! -f "$SALTY_IDENTITY" ]; then
echo "identity file missing for user $topic" >&2
exit 1
fi
msgbus sub "$topic" "$0"
}
sendmsg () {
if [ $# -lt 2 ]; then
printf "Usage: %s nick@domain.tld <message>\n" "$(basename "$0")"
exit 0
fi
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
user="$1"
message="$2"
salty_json="$(mktemp /tmp/salty.XXXXXX)"
lookup "$user" > "$salty_json"
endpoint="$(jq -r '.endpoint' < "$salty_json")"
topic="$(jq -r '.topic' < "$salty_json")"
key="$(jq -r '.key' < "$salty_json")"
rm "$salty_json"
message="[$(date +%FT%TZ)] <$(get_user)> $message"
echo "$message" \
| salty -i "$SALTY_IDENTITY" -r "$key" \
| msgbus -u "$endpoint" pub "$topic"
}
make_user () {
mkdir -p "$HOME/.config/salty"
if [ $# -lt 1 ]; then
user=$USER
else
user=$1
fi
identity_file="$HOME/.config/salty/$user.key"
if [ -f "$identity_file" ]; then
printf "user key exists!"
exit 1
fi
# Check for msgbus env.. probably can make it fallback to looking for a config file?
if [ -z "$MSGBUS_URI" ]; then
printf "missing MSGBUS_URI in environment"
exit 1
fi
salty-keygen -o "$identity_file"
echo "# user: $user" >> "$identity_file"
pubkey=$(grep key: "$identity_file" | awk '{print $4}')
cat <<- EOF
Create this file in your webserver well-known folder. https://hostname.tld/.well-known/salty/$user.json
{
"endpoint": "$MSGBUS_URI",
"topic": "$user",
"key": "$pubkey"
}
EOF
}
# check if streaming
if [ ! -t 1 ]; then
stream
exit 0
fi
# Show Help
if [ $# -lt 1 ]; then
printf "Commands: send read lookup"
exit 0
fi
CMD=$1
shift
case $CMD in
send)
sendmsg "$@"
;;
read)
readmsgs "$@"
;;
lookup)
lookup "$@"
;;
make-user)
make_user "$@"
;;
esac
#!/bin/sh
# Validate environment
if ! command -v msgbus > /dev/null; then
printf "missing msgbus command. Use: go install git.mills.io/prologic/msgbus/cmd/msgbus@latest"
exit 1
fi
if ! command -v salty > /dev/null; then
printf "missing salty command. Use: go install go.mills.io/salty/cmd/salty@latest"
exit 1
fi
if ! command -v salty-keygen > /dev/null; then
printf "missing salty-keygen command. Use: go install go.mills.io/salty/cmd/salty-keygen@latest"
exit 1
fi
if [ -z "$SALTY_IDENTITY" ]; then
export SALTY_IDENTITY="$HOME/.config/salty/$USER.key"
fi
get_user () {
user=$(grep user: "$SALTY_IDENTITY" | awk '{print $3}')
if [ -z "$user" ]; then
user="$USER"
fi
echo "$user"
}
stream () {
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
jq -r '.payload' | base64 -d | salty -i "$SALTY_IDENTITY" -d
}
lookup () {
if [ $# -lt 1 ]; then
printf "Usage: %s nick@domain\n" "$(basename "$0")"
exit 1
fi
user="$1"
nick="$(echo "$user" | awk -F@ '{ print $1 }')"
domain="$(echo "$user" | awk -F@ '{ print $2 }')"
curl -qsSL "https://$domain/.well-known/salty/${nick}.json"
}
readmsgs () {
topic="$1"
if [ -z "$topic" ]; then
topic=$(get_user)
fi
export SALTY_IDENTITY="$HOME/.config/salty/$topic.key"
if [ ! -f "$SALTY_IDENTITY" ]; then
echo "identity file missing for user $topic" >&2
exit 1
fi
msgbus sub "$topic" "$0"
}
sendmsg () {
if [ $# -lt 2 ]; then
printf "Usage: %s nick@domain.tld <message>\n" "$(basename "$0")"
exit 0
fi
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
user="$1"
message="$2"
salty_json="$(mktemp /tmp/salty.XXXXXX)"
lookup "$user" > "$salty_json"
endpoint="$(jq -r '.endpoint' < "$salty_json")"
topic="$(jq -r '.topic' < "$salty_json")"
key="$(jq -r '.key' < "$salty_json")"
rm "$salty_json"
message="[$(date +%FT%TZ)] <$(get_user)> $message"
echo "$message" \
| salty -i "$SALTY_IDENTITY" -r "$key" \
| msgbus -u "$endpoint" pub "$topic"
}
make_user () {
mkdir -p "$HOME/.config/salty"
if [ $# -lt 1 ]; then
user=$USER
else
user=$1
fi
identity_file="$HOME/.config/salty/$user.key"
if [ -f "$identity_file" ]; then
printf "user key exists!"
exit 1
fi
# Check for msgbus env.. probably can make it fallback to looking for a config file?
if [ -z "$MSGBUS_URI" ]; then
printf "missing MSGBUS_URI in environment"
exit 1
fi
salty-keygen -o "$identity_file"
echo "# user: $user" >> "$identity_file"
pubkey=$(grep key: "$identity_file" | awk '{print $4}')
cat <<- EOF
Create this file in your webserver well-known folder. https://hostname.tld/.well-known/salty/$user.json
{
"endpoint": "$MSGBUS_URI",
"topic": "$user",
"key": "$pubkey"
}
EOF
}
# check if streaming
if [ ! -t 1 ]; then
stream
exit 0
fi
# Show Help
if [ $# -lt 1 ]; then
printf "Commands: send read lookup"
exit 0
fi
CMD=$1
shift
case $CMD in
send)
sendmsg "$@"
;;
read)
readmsgs "$@"
;;
lookup)
lookup "$@"
;;
make-user)
make_user "$@"
;;
esac
;-) I seem to remember there being g a script that checks for 1.17. Maybe that is only on make preflight
;-) I seem to remember there being g a script that checks for 1.17. Maybe that is only on make preflight
@prologic@twtxt.net yarn builds in 1.18!
@prologic@twtxt.net yarn builds in 1.18!
🧮 USERS:1 FEEDS:2 TWTS:175 ARCHIVED:28444 CACHE:1319 FOLLOWERS:13 FOLLOWING:14
Only 14% of Canadians “strongly approve” of Trudeau’s pandemic response: poll
Trudeau, Freeland met with Ukrainian neo-Nazi party cofounder
🧮 USERS:1 FEEDS:2 TWTS:174 ARCHIVED:28367 CACHE:1308 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:173 ARCHIVED:28300 CACHE:1294 FOLLOWERS:13 FOLLOWING:14
[47°09′23″S, 126°43′24″W] Reading: 1.62000 PPM
[47°09′14″S, 126°43′02″W] Reading: 1.67 Sv
🧮 USERS:1 FEEDS:2 TWTS:172 ARCHIVED:28195 CACHE:1267 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:171 ARCHIVED:28142 CACHE:1221 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:170 ARCHIVED:28094 CACHE:1187 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:169 ARCHIVED:28023 CACHE:1275 FOLLOWERS:13 FOLLOWING:14
[47°09′46″S, 126°43′09″W] Raw reading: 0x622896C1, offset +/-1
pronouns/main
Share your personal pronouns and stay updated on your friends’ pronouns. Pronouny allows you to update your pronouns and send alerts to your friends.
Language: JavaScript
Star: 37
Watch: 37 ⌘ Read more
🧮 USERS:1 FEEDS:2 TWTS:168 ARCHIVED:27961 CACHE:1282 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:167 ARCHIVED:27885 CACHE:1281 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:166 ARCHIVED:27841 CACHE:1284 FOLLOWERS:13 FOLLOWING:14
[47°09′43″S, 126°43′35″W] Reading: 1.27000 PPM
🧮 USERS:1 FEEDS:2 TWTS:165 ARCHIVED:27813 CACHE:1281 FOLLOWERS:13 FOLLOWING:14
[47°09′00″S, 126°43′50″W] Reading: 1.65000 PPM
🧮 USERS:1 FEEDS:2 TWTS:164 ARCHIVED:27770 CACHE:1298 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:163 ARCHIVED:27722 CACHE:1303 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:162 ARCHIVED:27671 CACHE:1300 FOLLOWERS:13 FOLLOWING:14
ryudo 1.3.0 has multimonitor support!
🧮 USERS:1 FEEDS:2 TWTS:161 ARCHIVED:27612 CACHE:1316 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:160 ARCHIVED:27548 CACHE:1318 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:159 ARCHIVED:27509 CACHE:1335 FOLLOWERS:13 FOLLOWING:14
Wordle ported to Windows 3.1, PalmOS, DOS, Linux Terminal… and much more.
Tandy Color Computer 3, Atari 2600, Game Boy, Emacs, and… Microsoft Word? Yup. Wordle is there too. ⌘ Read more
🧮 USERS:1 FEEDS:2 TWTS:158 ARCHIVED:27460 CACHE:1324 FOLLOWERS:13 FOLLOWING:14
[47°09′43″S, 126°43′19″W] Raw reading: 0x621A5C91, offset +/-1
[47°09′34″S, 126°43′18″W] Reading: 1.44 Sv
🧮 USERS:1 FEEDS:2 TWTS:157 ARCHIVED:27424 CACHE:1324 FOLLOWERS:13 FOLLOWING:14
ethanjsummers00/OutfitGen
A randomized outfit generator
Language: JavaScript
Star: 1
Watch: 1 ⌘ Read more
CalumMcCallion/OutfitGenerator
Randomly Generates Outfit From Your Own Clothes
Language: C++
Star: 1
Watch: 1 ⌘ Read more
MikaelStenstrand/my-outfit-app
My Outfit App is a proof of concept (POC) of a mobile application where you are able to digitalize your closet and plan your outfits. The goal of the POC was to validate a simple and low-cost technology stack
Language: JavaScript
Star: 3
Watch: 3 ⌘ Read more
athelia/unfold-wardrobe-manager
Rediscover joy in your closet. Catalog & choose what to wear with personalized outfit recommendations from your wardrobe.
Language: Python
Star: 16
Watch: 16 ⌘ Read more
TextileApp/Textile
Textile is a new way to organize your wardrobe and discover outfits.
Language: JavaScript
Star: 13
Watch: 13 ⌘ Read more
janetanne/outfitless
Web application for organizing your closet and keeping track of your wardrobe, as well as picking your outfit for the day. Uses Google Oauth to register for an account/sign in and Clarifai API to process images.
Language: Python
Star: 3
Watch: 3 ⌘ Read more
KefanPing/Outfit_Recommendation_Project
An outfit recommendation local app.
Language: Jupyter Notebook
Star: 4
Watch: 4 ⌘ Read more
Kaelinator/clothes_picker
Manage your wardrobe, create outfits, and get smart outfit reccomendations!
Language: Dart
Star: 1
Watch: 1 ⌘ Read more
TheComeUpCode/WardrobeApp
An app that automates your closet and generates an outfit.
Language: Python
Star: 71
Watch: 71 ⌘ Read more
🧮 USERS:1 FEEDS:2 TWTS:156 ARCHIVED:27379 CACHE:1322 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:155 ARCHIVED:27247 CACHE:1310 FOLLOWERS:13 FOLLOWING:14
[47°09′06″S, 126°43′09″W] Reading: 1.90000 PPM
FreeDOS 1.3 has landed! Let’s take a visual tour!
The world’s greatest, Free and Open Source MS-DOS compatible operating system just got an update! I am excited! Exclamation points are in order! ⌘ Read more
🧮 USERS:1 FEEDS:2 TWTS:154 ARCHIVED:27169 CACHE:1291 FOLLOWERS:13 FOLLOWING:14